--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp80 = {};

function ShowHelp80.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp80:load(xmlFile)
	self.ShowHelp80 = false;
end;

function ShowHelp80:delete()
end;

function ShowHelp80:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp80:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp80:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.ShowHelp80 = not self.ShowHelp80;
		end;
	end;
end;

function ShowHelp80:updateTick(dt)
end;

function ShowHelp80:draw()
	if not self.ShowHelp80 then
		renderText(0.76, 0.167, 0.0193, "Num 0: Info");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.76, 0.167, 0.0193, "Num 0: Info");
		renderText(0.76, 0.60, 0.025, "- MTZ 80 -");			
		renderText(0.76, 0.58, 0.02, "Num 1: Povorotnik lev");
		renderText(0.76, 0.56, 0.02, "Num 2: Avari'ka");
		renderText(0.76, 0.54, 0.02, "Num 3: Povorotnik prav");
		renderText(0.76, 0.52, 0.02, "Num 4: Okno lev");
		renderText(0.76, 0.50, 0.02, "Num 5: Okno zad");
		renderText(0.76, 0.48, 0.02, "Num 6: Okno prav");
		renderText(0.76, 0.46, 0.02, "Num 7: Dver lev");
		renderText(0.76, 0.44, 0.02, "Num 8: Luk");
		renderText(0.76, 0.42, 0.02, "Num 9: Dver prav");
		renderText(0.76, 0.40, 0.02, "0: Signal");
		renderText(0.76, 0.38, 0.02, "F: Svet");
	end;
end;

function ShowHelp80:onLeave()
	self.ShowHelp80 = false;
end;




